# Interface ValidationDriver.SaxProducer

Enclosing class:
  `ValidationDriver`

public static interface ValidationDriver.SaxProducer
A producer of SAX events.

Author:
  James Clark

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `produce(ContentHandler contentHandler, DTDHandler dtdHandler, ErrorHandler errorHandler)`
  Causes the producer to process and send SAX events to the handlers.

- ## Method Details

  - ### produce

    void produce(ContentHandler contentHandler, DTDHandler dtdHandler, ErrorHandler errorHandler) throws IOException, SAXException
    Causes the producer to process and send SAX events to the handlers.
    Parameters:
      `contentHandler` - the content handler.
      `errorHandler` - the error handler.
    Throws:
      `IOException` - if an error occurs during processing.
      `SAXException` - if a SAXException occurs when calling one of the handlers.